post
https://saner.secpod.com/AncorWebService/perform
This method allows users to add a network scanner config. Supported schedule field values are “daily”, “weekly” and “monthly”.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| account | Account name or ID | Yes | string |
| configname | Name of the network scan configuration | Yes | string |
| description | Description of the network scan configuration | No | string |
| targets | Target IP ranges for scanning | Yes | array |
| target | Target domain name for scanning | Yes | string |
| excludetargets | Targets excluded from scanning | No | array |
| enableudpports | Enable UDP ports option (TRUE or FALSE) | No | string |
| tcpports | TCP ports for scanning | Yes | array |
| udpports | UDP ports for scanning | Yes | array |
| portoption | Port selection option (default/custom ports) | Yes | string |
| schedule | Schedule frequency (daily, weekly, monthly) | No | string |
| starttime | Scan start time (format: HH:MM:AM/PM) | No | string |
| endtime | Scan end time (format: HH:MM:AM/PM) | No | string |
| monthoftheyear | Month of the year (numeric value) | No | string |
| weekofthemonth | Week of the month (numeric value) | No | string |
| dayoftheweek | Day of the week (numeric value) | No | string |
